import request from '@/utils/request'

// 查询企业名称信息列表
export function listApproval(query) {
  return request({
    url: '/basicData/xcrEnterpriseNameApproval/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业名称信息详细
export function getApproval(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseNameApproval/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业名称信息
export function addApproval(data) {
  return request({
    url: '/basicData/xcrEnterpriseNameApproval',
    method: 'post',
    data: data
  })
}

// 修改企业名称信息
export function updateApproval(data) {
  return request({
    url: '/basicData/xcrEnterpriseNameApproval',
    method: 'put',
    data: data
  })
}

// 删除企业名称信息
export function delApproval(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseNameApproval/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delApprovalBatch(ids) {
  return request.post('/basicData/xcrEnterpriseNameApproval/delete',ids)
}
